API · List affiliates
API v1An MCP tool wraps this operation: Stored cards and bulk collections.
POST /api/v1/collect/get/affiliatesWhat it does#
List affiliates.
Authentication#
Host: https://app.tilopay.com. Requires the API bearer token in Authorization: Bearer <token> and the integration key in the body (key).
Parameters#
Integration key.
Group ID; 0 = all.
Request example#
<api_key> is the placeholder for your integration key.
{
"key": "<api_key>",
"group": 0
}Response#
affiliates contains affiliate data and daily/monthly limits.
status.
errors.
affiliates.
{
"status": 200,
"errors": "",
"affiliates": [
{
"id": 2,
"name": "Juan",
"lastname": "Lopez",
"email": "cliente@ejemplo.com",
"company": "JuanSA",
"phone": "88778878",
"address": "San José, 100 m este",
"city": "San Jose",
"state": "CR-SJO",
"zipcode": "10101",
"country": "CR",
"currency": "USD",
"amount_max_daily": "1000.00",
"amount_max_month": "1250.00",
"base_amount": "10.00",
"status": 1,
"created_at": "2024-01-16T22:45:00.000000Z"
},
{
"id": 14,
"name": "Ramon",
"lastname": "Perez",
"email": "otro@ejemplo.com",
"company": null,
"phone": null,
"address": "San José",
"city": "Alajuela",
"state": "CR-A",
"zipcode": "10101",
"country": "CR",
"currency": "USD",
"amount_max_daily": "100.00",
"amount_max_month": "1000.00",
"base_amount": "0.00",
"status": 1,
"created_at": "2024-02-27T18:19:31.000000Z"
}
]
}{
"type": "object",
"properties": {
"status": {
"type": "integer"
},
"errors": {
"type": "string"
},
"affiliates": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"lastname": {
"type": "string"
},
"email": {
"type": "string"
},
"company": {
"type": [
"string",
"null"
]
},
"phone": {
"type": [
"string",
"null"
]
},
"address": {
"type": "string"
},
"city": {
"type": "string"
},
"state": {
"type": "string"
},
"zipcode": {
"type": "string"
},
"country": {
"type": "string"
},
"currency": {
"type": "string"
},
"amount_max_daily": {
"type": "string"
},
"amount_max_month": {
"type": "string"
},
"base_amount": {
"type": "string"
},
"status": {
"type": "integer"
},
"created_at": {
"type": "string"
}
}
}
}
}
}
Last verified: 2026-10-20